/* Import Poppins Font for the UI/UX */
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/* General Rules */

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
}

body,
ul {
  margin: 0;
  padding: 0;
}

li {
  list-style: none;
}

button,
a {
  border: none;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
}

.button-round-style {
  border-radius: 40px 40px 40px 40px;
}

.error-txt {
  color: orange;
  text-transform: uppercase;
}

/* End of General Rules */
.password-mask {
  -webkit-text-security: disc;
  input-security: disc;
}

/* NavBar/Header - Login/Register/Forgot Password */

.header-LRF {
  height: 10%;
  width: calc(100% - 2vw);
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: center;
}

.navBar-LRF {
  width: 100%;
}

.navBar-LRF,
.navBar-LRF div,
.navBar-LRF div > ul,
.navBar-LRF div > ul > li {
  height: inherit;
  display: flex;
  flex-flow: row;
  align-items: center;
  margin-top: 1%;
}

.navBar-LRF div {
  width: calc(100% / 3);
}

.navBar-LRF div:nth-of-type(2),
.navBar-LRF div:nth-of-type(2) a,
.button-LRF {
  display: flex;
  flex-flow: row;
  justify-content: center;
}

.navBar-LRF img {
  width: 50%;
}

.navBar-LRF a,
.footer-LRF {
  width: 100%;
  color: white;
  font-weight: 300;
  text-decoration: none;
  font-size: 21px;
}

.navBar-LRF div > ul > li {
  margin-right: 30%;
}

.navBar-LRF div > ul > li a {
  opacity: 0.5;
}

.navBar-LRF ul li a:hover {
  opacity: 1;
  border-bottom: 2px solid white;
}

.navBar-LRF a:active {
  opacity: 1;
  border-bottom: 2px solid white;
}

.button-LRF {
  justify-content: flex-end;
}

.button-LRF a {
  max-width: 25%;
  font-size: 18px;
  text-align: center;
  background: white;
  color: #181f33;
  border: 2.5px solid white;
  padding: 4px;
}

/* End Of NavBar/Header - Login/Register/Forgot Password */

/* Page Login/Register/Forgot Password */

.bg-overlay {
  width: 100vw;
  height: 100vh;
  background: linear-gradient(
      0deg,
      rgba(24, 32, 52, 0.9),
      rgba(24, 32, 52, 0.9)
    ),
    url("../images/bg-img.jpg");
  background-size: cover;
  display: flex;
  flex-flow: column;
  overflow-x: hidden;
  align-items: center;
}

.form-container {
  width: 100%;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
}

.header-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.form-style {
  width: 100%;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
}

.form-LRF {
  width: 50%;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  color: white;
}

.form-LRF-SK {
  max-height: 100%;
  width: 100%;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: flex-start;
  color: white;
  position: relative;
  top: 5%;
}

.form-LRF h1,
.form-LRF-SK h1 {
  font-weight: 300;
  text-decoration: none;
  font-size: 25px;
  margin-block: 20px;
}

.input-pos {
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.input-style {
  width: 100%;
  height: 100%;
  margin-bottom: 2%;
  z-index: 1;
}

.input-tip {
  margin-bottom: 0;
}

.input-style label {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 25%;
  text-align: center;
  background: white;
  color: #181f33;
  border: 2.5px solid white;
  border-radius: 40px 0px 0px 40px;
  padding-inline: 15px;
}

.input-style input,
.input-style div {
  height: 100%;
  width: 75%;
  background: transparent;
  color: white;
  border: 1.5px solid white;
  border-radius: 0px 40px 40px 0px;
  text-indent: 20px;
}

.input-style div.accordion-content {
  width: 100%;
  border: none;
}

.input-style textarea {
  height: inherit;
  width: 75%;
  background: transparent;
  color: white;
  border: 1.5px solid white;
  border-radius: 0px 40px 40px 0px;
  text-indent: 20px;
}

.input-style ul {
  color: white;
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
  height: 100%;
  width: 75%;
  border: 1.5px solid white;
  border-radius: 0px 40px 40px 0px;
  text-indent: 20px;
}

.input-style select {
  height: 110%;
  width: 75%;
  background: transparent;
  color: white;
  border: 1.5px solid white;
  border-radius: 0px 40px 40px 0px;
}

.input-style option {
  color: #181f33;
}

.input-group {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  align-content: stretch;
}

.input-group div {
  width: 50%;
}

.input-group div:first-of-type {
  text-transform: uppercase;
  font-size: 15px;
}

.input-group div:last-of-type {
  display: flex;
  justify-content: flex-end;
}

.input-group div:last-of-type button {
  font-size: 21px;
  height: 100%;
  width: 50%;
  text-align: center;
  background: white;
  color: #181f33;
  text-transform: uppercase;
  border: 2.5px solid white;
}

.input-error {
  display: flex;
  flex-flow: column;
  align-items: flex-start;
  justify-content: flex-start;
  font-size: 12px;
  margin: 0 !important;
}

.submit-button {
  font-size: 18px;
  text-align: center;
  padding-block: 4px;
  padding-inline: 8px;
  background: white;
  color: #181f33;
  border: 2.5px solid white;
  align-self: baseline;
  cursor: pointer;
}

/* End of Page Login/Register/Forgot Password */

/* Footer-LRF  */

.footer-LRF {
  height: 10%;
  width: 100%;
  padding-inline: 20px;
}

/* End of Footer-LRF */

/* Lobby */

.bg-overlay-lobby {
  width: 100vw;
  height: 100vh;
  background: linear-gradient(
      0deg,
      rgba(35, 80, 102, 0.9),
      rgba(35, 80, 102, 0.9)
    ),
    url("../images/bg-img.jpg");
  background-size: cover;
  display: flex;
  flex-flow: column;
  overflow-x: hidden;
  align-items: center;
}

.hd-lobby {
  height: 15%;
  width: 100%;
  display: flex;
  flex-flow: row;
  justify-content: space-between;
}

.hd-lobby button {
  padding: 40px;
  font-size: large;
  text-transform: uppercase;
}

.hd-lobby div:first-of-type {
  position: relative;
  left: 2vw;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-flow: column;
}

.hd-lobby div:last-of-type {
  width: 75%;
  height: 100%;
}

.hd-lobby h1 {
  font-size: 40px;
  color: white;
  text-transform: uppercase;
  font-weight: 200;
}

.hd-lobby a {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: end;
  flex-flow: column;
  width: 100%;
}

.hd-lobby div > img:last-of-type {
  position: absolute;
  top: -3%;
  z-index: -1;
  width: 100%;
}

.hd-lobby a img {
  position: absolute;
  right: 2vw;
}

.lb-container {
  height: 70%;
  width: calc(100% - 4vw);
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: space-between;
}

.lb-container h2 {
  font-size: 25px;
  color: white;
  text-transform: uppercase;
  font-weight: 400;
}

.lb-container ul {
  color: white;
  font-weight: 300;
}

.lb-container b {
  color: white;
  font-weight: 500;
}

.column-border {
  border-radius: 10px;
  border: 2.5px solid white;
}

.two-column-lb {
  width: 30%;
  height: 90%;
  display: flex;
  flex-flow: column;
  justify-content: space-between;
}

.two-column-lb div {
  width: 100%;
}

.two-column-lb ul {
  padding: 5%;
}

.two-column-lb div:first-of-type ul {
  display: flex;
  flex-flow: row;
  justify-content: space-between;
}

.two-column-lb div:first-of-type ul div:first-of-type {
  width: 25%;
}

.two-column-lb div:first-of-type ul div:last-of-type {
  width: 70%;
}

.lb-chat,
.pt-lobby {
  width: 30%;
  height: 90%;
  display: flex;
  flex-flow: column;
}

.scrollable-list {
  color: white;
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
  height: 100%;
  padding: 5%;
  overflow-y: auto;
}

.lb-chat-out {
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: flex-end;
  overflow-y: auto;
}

.lb-chat-bd {
  color: white;
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
  height: 100%;
  padding: 5%;
  overflow-y: auto;
}

#chat {
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
}

.lb-chat-send {
  display: flex;
  flex-flow: row;
}

.lb-chat-send form {
  width: 100%;
  display: flex;
  flex-flow: row;
}

.lb-chat-send textarea {
  height: 100%;
  width: 70%;
  background: transparent;
  color: white;
  text-transform: uppercase;
  border: 1.5px solid white;
  border-radius: 40px 0px 0px 40px;
  text-indent: 20px;
}

.lb-chat-send button {
  font-size: 15px;
  height: 100%;
  width: 25%;
  text-align: center;
  background: white;
  color: #181f33;
  text-transform: uppercase;
  border: 2.5px solid white;
  border-radius: 0px 40px 40px 0px;
}

.lb-pfp-tb {
  width: 100px;
  height: 100px;
  object-fit: cover;
  border-radius: 10px 10px 10px 10px;
}

.ft-lobby {
  height: 15%;
  width: 100%;
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  position: absolute;
  bottom: 0;
  overflow: hidden;
}

.ft-lobby div {
  height: 100%;
}

.ft-lobby div:first-of-type {
  width: 75%;
  display: flex;
  flex-flow: column;
  justify-content: center;
}

.ft-lobby div:first-of-type h2 {
  position: absolute;
  color: white;
  text-transform: uppercase;
  font-weight: 400;
  font-size: 45px;
  text-indent: 2vw;
  z-index: 1;
}

.ft-lobby div:last-of-type {
  width: 40%;
  background-color: white;
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: center;
}

.ft-lobby div:last-of-type a {
  position: absolute;
  color: #181f33;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 45px;
  text-indent: 2vw;
  z-index: 1;
}

.ft-lobby img {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  transform: translate(-20%);
}

/* End of Lobby */

/* Homepage Admin */

.nav2 {
  width: calc(30% - 2vw);
  display: flex;
  flex-flow: row;
  color: #181f33;
  justify-content: space-evenly;
  align-items: center;
  background-color: white;
  margin-top: 2%;
  z-index: 1;
}

.nav2 > li {
  width: calc(100% / 3);
}

.nav2 > li > a {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.dropdown {
  width: 100%;
  height: 50px;
  position: relative;
  display: inline-block;
}

.dropdown:hover .dropdown-menu,
.dropdown-submenu:hover .submenu,
.submenu:hover .dropdown-submenu2,
.dropdown-submenu2:hover .submenu2 {
  display: block;
  width: 100%;
}

.submenu,
.submenu2 {
  position: absolute;
  left: 100%;
}

.submenu li,
.submenu2 li {
  display: block;
  width: 100%;
}

.nav2 a {
  color: #181f33;
  width: 100%;
}

.dropdown-menu,
.dropdown-submenu,
.dropdown-submenu2,
.submenu2,
.submenu {
  display: none;
  height: 100%;
}

.submenu li {
  height: 100px !important;
  flex-flow: column;
}

.dropdown-menu li,
.dropdown-menu li a {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: white;
  color: #181f33;
}

.dropdown-menu li a {
  height: 50px;
}

.dropdown-menu li:hover,
.dropdown-menu li a:hover,
.dropdown-submenu2 li:hover,
.dropdown-submenu2 li a:hover,
.dropdown-submenu2:hover .submenu li:hover {
  background-color: #181f33;
  color: white;
}

/* Add these new styles for the third-level dropdown */
.dropdown-submenu3 {
  position: relative;
}

.dropdown-submenu3 > .submenu3 {
  top: 0;
  left: 100%;
  margin-top: -1px;
  display: none;
  position: absolute;
  background-color: white;
}

.dropdown-submenu3:hover > .submenu3 {
  display: block;
}

.submenu3 {
  min-width: 150px;
  padding: 0;
}

.submenu3 li {
  display: block;
}

.submenu3 li a {
  padding: 10px 15px;
  display: block;
  white-space: nowrap;
}

.hp-container {
  width: 100vw;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 30px;
}

.two-column-hp {
  width: 100%;
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  gap: 20px;
}

.pfp-hp,
.table-ex {
  display: flex;
}

.pfp-hp {
  flex-flow: column;
  width: 100%;
  gap: 5px;
}

.pfp-hp img {
  max-width: 50%;
}

.pfp-hp ul {
  color: white;
  display: flex;
  flex-flow: column;
  justify-content: center;
}

.pers-ex {
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.pers-ex,
.pers-ex div,
.pers-ex div h3 {
  width: 100%;
}

#lft {
  justify-content: flex-start !important;
}

.tbl-container {
  width: 100%;
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  margin-top: 5%;
  color: white;
}

.tbl-container a {
  color: white;
}

.tbl-details {
  width: calc(100% - 2vw);
}

.tbl-ex {
  width: 100%;
}

.tbl-cont {
  width: 100%;
  display: flex;
  flex-flow: column;
}

.tbl-header {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.tbl-ttl {
  text-transform: uppercase;
}

.tbl-thd {
  width: 100%;
  background-color: #181f33;
  border-style: none;
}

.tbl-trh {
  width: 100%;
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: space-around;
}

.tbl-bd {
  width: 100%;
  height: 100%;
  overflow-x: hidden;
}

.tbl-bd tr {
  width: 100%;
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: space-around;
}

.tbl-bd tr td,
.tbl-trh th {
  width: 100%;
  display: flex;
  flex-flow: row;
  justify-content: center;
  text-align: start;
  align-items: center;
  padding-block: 12px;
}

.tbl-bd tr:nth-child(even) {
  background-color: #181f337b;
}

.tbl-bd tr:nth-child(odd) {
  background-color: #2350667d;
}

.res-tr {
  height: fit-content !important;
  padding: 1%;
  overflow-x: hidden;
}

.alert-danger {
  width: 50%;
  justify-content: center;
  display: flex;
  flex-flow: row;
  border: 2px solid red;
  border-radius: 5px;
  padding: 15px 10px;
  background-color: tomato;
  gap: 10px;
  font-size: larger;
}

/* .tbl-bd tr td:hover .tbl-bd tr td,
.tbl-bd tr {
    height: inherit;
}

.tbl-bd tr td:hover .panel-collapse {
    display: flex;
    flex-flow: column;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
} */

/* End of Homepage Admin */

/* Details Page */

.detailsPage {
  display: flex;
  justify-content: center;
  width: 10%;
  align-items: center;
  flex-flow: row;
  margin-top: 2%;
}

.detailsPage a {
  width: 100%;
}

/* End Of Details Page */

/* Homepage User */

.two-column-hp-Us {
  display: flex;
  flex-flow: row;
  width: calc(100% - 2vw);
  justify-content: space-evenly;
}

.two-column-hp-Us div {
  width: calc(100% / 2.25);
}

/* End of Homepage User */
.btn {
  padding: 10px 15px;
  border-radius: 5px;
  background-color: #fff;
  color: #181f33 !important;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2px;
  border: 1px solid #181f33;
  transition: background-color 0.2s ease-out;
}

.btn:hover {
  background-color: #ccc;
}
/* Search Form */

.add-btn {
  color: orange;
  text-transform: uppercase;
  width: 100%;
  margin-top: 1%;
}

.sr-container {
  width: 100%;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  color: white;
}

.sr-containerF h1 {
  font-weight: 300;
  text-decoration: none;
  font-size: 25px;
}

.sr-style {
  width: 100%;
  height: 40px;
  margin-bottom: 2%;
  text-transform: uppercase;
}

.sr-style input {
  height: 100%;
  width: 75%;
  background: transparent;
  color: white;
  text-transform: uppercase;
  border: 1.5px solid white;
  border-radius: 40px 40px 40px 40px;
  text-indent: 20px;
}

.sr-pos {
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: center;
}

.sr-group {
  width: 50%;
  display: flex;
  flex-flow: row;
}

.sr-button {
  font-size: 21px;
  height: 100%;
  background: white;
  text-transform: uppercase;
  border: 2.5px solid white;
  width: 50%;
  cursor: pointer;
}

.sr-clear {
  font-size: 21px;
  height: 100%;
  background: #181f33;
  text-transform: uppercase;
  border: 2.5px solid #181f33;
  color: white;
  width: 50%;
}

/* End of Search Form */

/* Add Exercise */

.d-flex {
  width: calc(100% - 2vw);
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: center;
}

.nav {
  margin-top: 2%;
  width: 90%;
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: space-around;
  background-color: #181f33;
  border-radius: 40px 40px 40px 40px;
  border: 2.5px solid white;
  height: 50px;
  overflow: hidden;
}

.nav-item {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-style: none;
}

.nav-item a {
  color: white;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.active-btn {
  background-color: white;
  color: #181f33 !important;
}

.ex-infoN p:last-child {
  padding-block-start: 12px;
}

.ex-infoN {
  display: flex;
  flex-flow: column;
  padding-block: 12px;
  padding-inline: 25px;
}

.ex-infoN ol {
  padding-block: 12px;
  padding-inline-start: 15px;
}

.ex-infoN ol li {
  list-style: circle;
  padding-inline-start: 12px;
}

.tbl-addE {
  width: 100%;
}

.tbl-addE thead {
  width: 100%;
  background-color: #181f33;
  border-style: none;
}

.tbl-addE tr {
  width: 100%;
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: center;
  height: 60px;
}

.tbl-addE tbody {
  width: 100%;
}

.accordion-content {
  display: none;
  padding: 15px;
  background-color: #f9f9f9;
  border: 1px solid #ddd;
  border-top: none;
}

.accordion-toggle {
  cursor: pointer;
  display: inline-block;
  margin-left: 10px;
}

.accordion-toggle img {
  vertical-align: middle;
}

.collapse {
  display: none;
}

.fac-group,
.org-group {
  display: flex;
  flex-flow: column;
  align-items: flex-start;
  width: 100%;
  justify-content: flex-start;
}

.fullSize {
  width: 50% !important;
}

/* End Of Add Exercise */

/* Game Body */

.gm-bd {
  width: 100vw;
  height: 100vh;
}

.image {
  position: absolute;
  width: 100%;
  height: 100%;
  background: linear-gradient(
      0deg,
      rgba(35, 80, 102, 0.85),
      rgba(35, 80, 102, 0.85)
    ),
    url("/images/StreetPov.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1;
  opacity: 1;
}

.card {
  padding: 10px;
  width: 100%;
  position: relative;
  top: 0;
  left: 0;
  display: flex;
  flex-flow: row;
  background-color: transparent;
  color: white;
  border: none !important;
}

.bg-game {
  width: 75%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}

.card-body {
  width: 75%;
  color: white;
  padding: 0;
}

.us-nm {
  text-transform: uppercase;
  font-weight: 600;
  font-size: 15px;
}

.cont-it {
  z-index: 1;
}

.cont-it #localizacaoSpan {
  font-size: 12px;
}

.progress-bar {
  width: 365px;
  background: transparent;
  color: #181f33;
  border: 2.5px solid white;
  border-radius: 40px 40px 40px 40px;
}

.progress {
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
}

.player-actions {
  display: flex;
  flex-flow: row;
  gap: 10px;
}

.player-actions ul {
  width: 100%;
  display: flex;
  flex-flow: row;
  justify-content: space-evenly;
}

.player-actions button {
  width: 50px;
  height: 50px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.rounded-circle {
  border-radius: 50%;
}

.player-actions button:hover {
  background-color: #ccc;
  transition: background-color 0.3s ease-in-out;
}

.player-actions-facility {
  width: 35%;
  position: absolute;
  bottom: 0;
  right: 0;
  height: 13%;
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: center;
  overflow-x: hidden;
}

.player-actions-facility-options {
  width: 75%;
  display: flex;
  flex-flow: row;
  z-index: 1;
  height: 100%;
  justify-content: space-around;
  align-items: center;
  margin-left: 10%;
}

.player-actions-facility img {
  display: flex;
  width: auto;
  height: 100%;
  position: absolute;
  left: 0;
}

#warehouse-items-container {
  width: 50%;
  height: 50%;
  background-color: white;
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
  align-items: center;
  color: #181f33;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
}

#warehouse-items-container li {
  display: flex;
  flex-flow: row;
  align-items: flex-start;
  justify-content: space-between;
  margin-bottom: 2%;
}

#warehouse-items-container li button {
  color: white;
  background-color: #181f33;
  border-radius: 40px 40px 40px 40px;
  width: 50%;
}

#MenuEquipamento {
  position: absolute;
  right: 2%;
  width: 10%;
  font-weight: 600;
  height: 40px;
  bottom: 0;
  z-index: 2;
}

#warehouse-items-container .row {
  display: flex;
  flex-flow: row;
  width: 100%;
  justify-content: space-around;
  align-items: flex-start;
  padding: 2.5%;
}

#warehouse-items-container .col {
  width: 40%;
}

#warehouse-items-container h3 {
  text-align: center;
  text-transform: uppercase;
}

.container-fluid {
  width: 100%;
  display: flex;
  flex-flow: row;
  align-items: flex-start;
  justify-content: space-around;
}

.cont-it {
  width: 100%;
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: center;
}

.cont-it-it {
  width: 100%;
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
}

.row {
  width: 100%;
}

.lists {
  position: relative;
  top: 10%;
}

.list-it {
  width: 30%;
  height: 175px;
  margin-bottom: 1%;
  overflow-y: auto;
  background-color: #181f33;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.list-it h3 {
  color: white;
  text-transform: uppercase;
  font-size: 25px;
  font-weight: 500;
  text-indent: 10px;
  padding: 2%;
}

.list-it ul {
  text-indent: 15px;
  color: white;
  font-size: 15px;
  width: 100%;
}

.list-it ul li {
  width: 100%;
  display: flex;
  flex-flow: row;
  margin-bottom: 2%;
}

.list-it span {
  font-size: 1.25em;
}

#inventory-list li,
#equipment-list li {
  justify-content: flex-start;
}

#inventory-list li button,
#equipment-list li button {
  width: 25%;
  background-color: white;
  border: 2.5px solid white;
  border-radius: 40px 40px 40px 40px;
  margin-left: 10%;
}

/* End of Game Body */

.msgEnviada {
  display: flex;
  position: absolute;
  width: 100%;
  bottom: 0;
  margin: 0;
}

/* Popup Actions */

#notification,
.proximity-list-messages-container {
  width: 20%;
  background-color: rgb(24, 31, 51);
  display: none;
  position: absolute;
  top: 20%;
  right: -7%;
  transform: translate(-50%, -50%);
  padding: 1%;
  color: white;
  z-index: 1;
}

.empty-message {
  display: flex;
}

#actionExecutionPopup,
#equipment-popup,
#talk-popup,
#report-popup,
#phone-popup,
#vehicle-popup,
#warehouse-popup,
#equipmentCarryPopup,
#inventoryOrOptionsPopup,
#routePopup,
#warning-popup,
#consumable-popup {
  position: absolute;
  top: 0;
  display: none;
  width: 100vw;
  height: 100vh;
  background-color: #235066b7;
  z-index: 1;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

.info-popup,
#info-popup {
  position: absolute;
  top: 0;
  right: 0;
  display: none;
  width: 100vw;
  height: 100vh;
  background-color: #235066b7;
  z-index: 1;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

.info-template {
  width: 50%;
  height: 50%;
  background-color: #181f33;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
}

#info-center {
  display: flex;
  flex-flow: column;
  align-items: flex-start;
}

.report {
  display: flex;
  width: 40%;
  height: 80%;
  z-index: 1;
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
  overflow: scroll;
}

#warning-popup {
  position: absolute;
  top: 0;
  display: none;
  width: 100vw;
  height: 100vh;
  background-color: #235066b7;
  z-index: 2;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

#facility-popup {
  width: 30%;
  height: 30%;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

.facility-template {
  background-color: #181f33;
  color: white;
  z-index: 2;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

#equipments-list-warehouse, #consumables-list-warehouse {
  height: 300px;
  overflow-y: auto;
}

#incident-characteristics {
  flex-direction: column;
  width: 30%;
  background-color: #181f33;
  gap: 2%;
  height: 25%;
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 2;
  color: white;
  transform: translate(-50%, -50%);
  align-items: center;
  justify-content: center;
}

.leaflet-marker-icon {
  color: orange;
}

.participant-moving {
  font-size: 2em;
  color: red;
}

.equipment-template,
.equipmentCarry-template,
.equipment-template-options,
.route-template,
.warning-template,
.consumable-template {
  width: 50%;
  height: 50%;
  background-color: #181f33;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
}

.equipment-template,
.vehicle-template {
  justify-content: space-evenly !important;
}

.equipment-actions,
.equipmentCarry-actions,
.vehicle-actions {
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: space-between;
  position: relative;
  width: 50%;
}

.equipment-move-options {
  width: 100%;
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

.equipment-move-options li {
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: center;
  margin-bottom: 1%;
}

#193 {
  width: 45%;
}

.vehicle-actions {
  width: 45% !important;
}

.equipment-inventory {
  height: 100%;
}

.resourcesButtons {
  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: space-evenly;
  position: relative;
  width: 40%;
}

.equipment-inventory,
.vehicle-inventory,
.resourcesButtons button,
.consume-button {
  border-radius: 40px 40px 40px 40px;
  font-size: 15px;
  width: 30%;
  text-align: center;
  background: white;
  color: #181f33;
  text-transform: uppercase;
  border: 2.5px solid white;
}

.map-container {
  position: absolute;
  top: 0;
  display: none;
  width: 100vw;
  height: 100vh;
  background-color: #235066b7;
  z-index: 2;
  flex-flow: row;
  justify-content: center;
  align-items: center;
}

#map {
  display: none;
  height: 100%;
  width: 75%;
  z-index: 1;
}

.map-bg {
  width: 75%;
  height: 75%;
  background-color: #181f33;
  display: flex;
  flex-flow: row;
  justify-content: center;
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
}

.zona-lateral-esquerda,
.zona-lateral-direita {
  width: 25%;
  margin-top: 2%;
}

.zona-lateral-esquerda-configuracao-gestor,
.zona-lateral-esquerda-participante-sensiveis,
.zona-lateral-esquerda-participante-interditas {
  flex-flow: column;
  align-items: center;
  position: relative;
  right: 4%;
  width: 10%;
  justify-content: center;
}

.zona-lateral-esquerda-configuracao-gestor button {
  border-radius: 40px 40px 40px 40px;
  font-size: 15px;
  width: 100%;
  text-align: center;
  background: white;
  color: #181f33;
  text-transform: uppercase;
  border: 2.5px solid white;
  margin-bottom: 5%;
}

.reg {
  border-radius: 40px 40px 40px 40px;
  font-size: 15px;
  width: 100%;
  text-align: center;
  background: white;
  color: #181f33;
  text-transform: uppercase;
  border: 2.5px solid white;
  margin-bottom: 5%;
}

#red {
  background-color: red;
  border-radius: 40px 40px 40px 40px;
  font-size: 15px;
  width: 100%;
  text-align: center;
  color: #181f33;
  text-transform: uppercase;
  border: 2.5px solid red;
  margin-bottom: 5%;
}

#yel {
  background-color: yellow;
  border-radius: 40px 40px 40px 40px;
  font-size: 15px;
  width: 100%;
  text-align: center;
  color: white;
  text-transform: uppercase;
  border: 2.5px solid yellow;
  margin-bottom: 5%;
}

#green {
  background-color: green;
  border-radius: 40px 40px 40px 40px;
  font-size: 15px;
  width: 100%;
  text-align: center;
  color: white;
  text-transform: uppercase;
  border: 2.5px solid green;
  margin-bottom: 5%;
}

.zona-lateral-direita button {
  font-size: 15px;
  height: 100%;
  width: 75%;
  text-align: center;
  background: white;
  color: #181f33;
  text-transform: uppercase;
  border: 2.5px solid white;
}

.zona-lateral-esquerda {
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: flex-start;
  position: relative;
}

.zona-lateral-esquerda h2,
.zona-lateral-direita h2 {
  text-align: center;
  font-size: 20px;
}

#participant-equipments-list span {
  font-size: 0.9em;
  padding-left: 15px;
}

.legend-text {
  color: white !important;
  font-size: 0.8em;
}

#participant-equipments-list {
  padding: 15px 5px 0 5px;
  width: 100%;
  display: flex;
  flex-flow: column;
  align-items: flex-start;
  gap: 10px;
  height: 500px;
  overflow-y: auto;
}

#participant-equipments-list li {
  height: fit-content;
}

.mancha {
  width: 2em;
  height: 2em;
  background-color: black;
  position: relative;
  clip-path: polygon(50% 0%, 85% 25%, 85% 75%, 50% 100%, 15% 75%, 15% 25%);
}

.equipmentExecution-template,
.vehicle-template {
  width: 50%;
  height: 50%;
  background-color: #181f33;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
}

.speak-template {
  width: 50%;
  height: 50%;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
  background-color: #181f33;
}

#exitCrossSpeak,
#exitCrossNotification,
#exitequipmentPopup,
#exitequipmentPopup2,
#exitequipmentPopup3,
#exitvehiclePopup,
#exitCross,
#exitReport,
#exitCrossEmail,
#exitConsumablePopup,
#exitIncidentPopup {
  position: absolute;
  right: 3.5%;
  top: 5%;
  cursor: pointer;
}

#exitCrossPhone {
  position: absolute;
  right: 5%;
  top: 2%;
  cursor: pointer;
}

#readEmailCross,
#exitCrossSendEmail {
  color: white;
  position: absolute;
  right: 13%;
  top: 15%;
  cursor: pointer;
}

#exitFacilityPopup {
  position: absolute;
  right: 38.2%;
  top: 38.2%;
  cursor: pointer;
}

#exitCrossNoMsg {
  position: absolute;
  left: 93%;
  top: 18%;
  cursor: pointer;
  color: white;
  z-index: 1;
}

#exitCrossMap {
  position: absolute;
  right: 1.5%;
  top: 2%;
  cursor: pointer;
}

/* End of Popup Actions */

/* Computer Interface */

.interfaceComputer,
#email-popup {
  background-color: #181f33;
  color: white;
  z-index: 2;
  display: flex;
  flex-flow: column;
  justify-content: space-evenly;
  align-items: center;
  width: 50%;
  height: 60%;
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
  position: absolute;
  top: 20%;
  left: 35%;
}

.email-label {
  margin-bottom: 0;
}

.email-template,
.phone-body {
  height: 100%;
  width: 100%;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

.phone-body .buttons {
  display: flex;
  z-index: 1;
  flex-flow: column;
}

.screen {
  position: absolute;
  z-index: 1;
  height: 90%;
}

.phone-template {
  width: 25%;
  height: 80%;
  background-color: #181f33;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
}

.ph {
  border-radius: 40px 40px 40px 40px;
  font-size: 15px;
  width: 100%;
  text-align: center;
  background: #181f33;
  color: white;
  text-transform: uppercase;
  border: 15px solid #181f33;
  margin-bottom: 5%;
}

#send-message-section,
#read-message-section {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-flow: column;
}

#send-message-section form {
  display: flex;
  flex-flow: column;
  width: 75%;
  color: black;
  position: relative;
  top: 50%;
}

.message-list-div {
  display: flex;
  flex-flow: column;
  width: 50%;
  color: #181f33;
  position: relative;
  top: 50%;
  z-index: 2;
  height: 490px;
}

.messageLi {
  padding: 2%;
  margin-top: 2%;
  margin-bottom: 2%;
}

.messageLi:nth-child(even) {
  background-color: lightgrey;
}

.messageLi:nth-child(odd) {
  background-color: aliceblue;
}

#send-message-section form button {
  background-color: #181f33;
  color: white;
}

#sendMessageCross,
#readMessageCross {
  position: relative;
  left: 53%;
  cursor: pointer;
}

#getSimulationPopup {
  background-color: #181f33;
  color: white;
  z-index: 3;
  display: flex;
  flex-flow: column;
  justify-content: space-evenly;
  align-items: center;
  width: 50%;
  height: 60%;
  border: 2.5px solid transparent;
  border-radius: 40px 40px 40px 40px;
  position: absolute;
  top: 20%;
  left: 35%;
}

.Template {
  height: 100%;
  width: 100%;
  display: flex;
  flex-flow: column;
  justify-content: space-evenly;
  align-items: center;
}

.labelComputer {
  text-transform: uppercase;
  font-size: 40px;
  margin-bottom: 1%;
  font-weight: 400;
}

.computer-buttons {
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.computer-buttons button {
  background-color: white;
  color: #181f33;
  border: none;
  padding: 1em 1em;
  border-radius: 5px;
  cursor: pointer;
  text-transform: uppercase;
  font-weight: 500;
  width: 100%;
}

/* End of Computer Interface */

.sub-area-zona-esq {
  display: flex;
  flex-flow: column;
  align-items: center;
}

.sub-area-zona-esq button {
  margin-top: 5%;
}

/*-------------------------listas para os /edit-------------*/
.facility-list .facility-item {
  padding-bottom: 5px;
  margin-bottom: 5px;
}

.facility-list .facility-item input {
  width: auto;
}

.equipment-list .equipment-item {
  padding-bottom: 5px;
  margin-bottom: 5px;
}

.equipment-list .equipment-item input {
  width: auto;
}

.participant-list .participant-item {
  width: 100%;
  padding-bottom: 5px;
  margin-bottom: 5px;
}

.participant-list .participant-item input {
  width: auto;
}

.consumable-list .consumable-item {
  width: 100%;
  padding-bottom: 5px;
  margin-bottom: 5px;
}

.consumable-list .consumable-item input {
  width: auto;
}

/*------------------------Cenas ze-------------------------------*/
.person-icon {
  font-size: 2em;
}

.tooltip2 {
  position: relative;
  display: inline-block;
  cursor: not-allowed;
}

.tooltip2::after {
  content: "Need more participants";
  visibility: hidden;
  background-color: #333;
  color: #fff;
  text-align: center;
  padding: 5px;
  border-radius: 5px;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  transform: translateX(-50%);
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip2:hover::after {
  visibility: visible;
  opacity: 1;
}

.participant-icon-legend {
  font-size: 1.7em;
  color: green;
}

.injured-icon-legend {
  font-size: 1.7em;
  color: red;
}

.other-participant-icon-legend {
  font-size: 1.7em;
  color: black;
}

.legend-text {
  color: black;
}

.participant-icon-map {
  font-size: 2.7em;
  color: green;
}

.injured-icon-map {
  font-size: 2.7em;
  color: red;
}

.exitCross {
  position: absolute;
  right: 0%;
  color: white;
}

.exitCross:hover {
  cursor: pointer;
}

#loadingIndicator {
  display: none;
  position: fixed;
  top: 50%;
  z-index: 2;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 20vw;
  background-color: #204d74;
  height: 20vh;
  align-items: center;
  justify-content: center;
  border-radius: 1em;
}

#buttonLoading {
  height: 90%;
  width: 93%;
  background-color: #204d74;
  opacity: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#computerButton {
  top: 50%;
  left: 44%;
  position: absolute;
  display: none;
}

#ArmazemListaEquipamentosButton {
  top: 62%;
  left: 52%;
  position: absolute;
  display: none;
}

.accordion-left .collapse {
  position: absolute;
  left: -21vw;
  top: 0;
  width: fit-content;
  z-index: 1;
  /* max-height: 0; */
  /* overflow: hidden; */
  transition: none;
}

.accordion-left .collapse.show {
  max-height: none;
}

.accordion-left .card-body {
  background-color: #f9f9f9;
  padding: 0.5em;
  display: flex;
  flex-direction: row;
}

.accordion-left .card-body button {
  margin-right: 0.5em;
}
